VMTKNUMPYTOCENTERLINES(1)

NAME
vmtknumpytocenterlines - vmtk script vmtknumpytocenterlines

DESCRIPTION
Automatic piping vmtkNumpyToCenterlines Parsing options vmtkNumpyToCenterlines

vmtkNumpyToCenterlines : Takes a nested python dictionary containing

    numpy arrays specifying vertex points, associated scalar data, and cell data specifying line connectivityand returns a VTK centerlines vtkPolyData file

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i ArrayDict (dict,1): the input array dictionary

-ifile ArrayDictInputFileName (str,1): filename for the default

    ArrayDict reader

-ofile CenterlinesOutputFileName (str,1): filename for the default

    Centerlines writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Centerlines (vtkPolyData,1): the output surface